## loggerhead 2.0.3

=== Makefile ===

PYTHON ?= python3
BRZ ?= brz

dist:
	$(PYTHON) ./setup.py sdist

clean:
	rm -rf dist/

check:
	BRZ_PLUGINS_AT=loggerhead@$$(pwd) $(BRZ) selftest -s bp.loggerhead

=== requirements.txt ===
setuptools
Paste >= 1.6
dulwich; python_version > "3.5"
dulwich <= 0.20.25; python_version <= "3.5"
testtools
breezy >= 3.1; python_version > "3.5"
breezy >= 3.1, < 3.2; python_version <= "3.5"
bleach; python_version > "3.5"
bleach < 4.0.0; python_version <= "3.5"
packaging < 21.0; python_version <= "3.5"
Pygments < 2.12; python_version <= "3.5"
Pygments; python_version > "3.5"
certifi < 2022.5.18; python_version <= "3.5"
fixtures < 4.0.0; python_version <= "3.5"
patiencediff < 0.2.3; python_version <= "3.5"

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/loggerhead.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/loggerhead.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
loggerhead (2.0.3-2) unstable; urgency=medium

  * Add systemd unit file. Closes: #1039254

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 31 Oct 2025 00:48:40 +0000

loggerhead (2.0.3-1) unstable; urgency=medium

  * Really remove all references to python3-json. Closes: #1080170
  * New upstream release.
    + Removes use of pkg-resources. Closes: #1083518

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Oct 2025 22:52:49 +0000

=== debian/control ===
Source: loggerhead
Section: devel
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>,
           Vincent Ladeuil <v.ladeuil+lp@free.fr>,
           Andrew Starr-Bochicchio <asb@debian.org>,
           Jelmer Vernooĳ <jelmer@debian.org>
Homepage: https://launchpad.net/loggerhead
Build-Depends-Indep: brz (>= 3.0.0~),
                     python3-bleach,
                     python3-breezy.tests,
                     python3-chameleon,
                     python3-fixtures,
                     python3-setuptools,
                     python3-sphinx,
                     python3-subunit,
                     python3-testtools
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dulwich,
               python3-paste (>= 1.6),
               python3-pkg-resources
Standards-Version: 4.6.1
Vcs-Bzr: https://salsa.debian.org/breezy-team/loggerhead.git -b debian/main
Vcs-Browser: https://salsa.debian.org/breezy-team/loggerhead/tree/debian/main
Rules-Requires-Root: no

Package: loggerhead
Architecture: all
Depends: adduser,
         libjs-jquery,
         python3-bleach,
         python3-breezy (>= 3.0.0~),
         python3-chameleon,
         python3-dulwich,
         python3-paste (>= 1.6),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Suggests: brz,
          loggerhead-breezy-doc,
          python3-pastedeploy (>= 1.3.0)
Enhances: brz
Recommends: python3-pygments
Description: Web viewer for Breezy
 This is a web viewer for projects in the Breezy version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.

Package: loggerhead-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Suggests: loggerhead
Enhances: loggerhead
Description: Web viewer for Breezy (documentation)
 This is a web viewer for projects in the Breezy version control system.
 It can be used to navigate a branch history, annotate files, view patches and
 perform searches.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $* --with python3 --buildsystem=pybuild

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) $(CONCURRENCY) BRZ_PLUGINS_AT=loggerhead@$(CURDIR) /usr/bin/brz selftest \
	    --parallel=fork -v -s bp.loggerhead
endif

override_dh_auto_clean:
	dh_auto_clean
	cd docs/ && $(MAKE) clean

override_dh_auto_build:
	dh_auto_build
	cd docs/ && PYTHONPATH=.. $(MAKE) html

=== debian/watch ===
version=4
opts=dversionmangle=s/\.dfsg// https://launchpad.net/loggerhead/+download https://launchpad.net/loggerhead/.*/loggerhead-(.+).tar.gz
